phpmyadmin 4.9.4 php 7.4.2

12 3
baas
На сайте с 17.09.2012
Offline
122
1211

Добрый день.

Перешел на свежий php 7.4.2.

mysql 5.7.29.

Возникли трудности в phpmyadmin 4.9.4.

При открытии таблицы в phpmyadmin выдает странную ошибку.

Error in processing request

Error code: 500
Error text: error (rejected)
It seems that the connection to server has been lost. Please check your network connectivity and server status

В лог nhginx падает такая ошибка, ругань на тэг.

2020/02/01 15:36:38 [error] 54449#100565: *34 FastCGI sent in stderr: "PHP message: PHP Fatal error:  Uncaught Twig\Error\SyntaxError: Unexpected "lse" tag (expecting closing tag for the "if" tag defined near line 5). in /usr/local/www/phpMyAdmin/templates/display/results/comment_for_row.twig:6

Stack trace:
#0 /usr/local/www/phpMyAdmin/vendor/twig/twig/src/TokenParser/IfTokenParser.php(41): Twig\Parser->subparse()
#1 /usr/local/www/phpMyAdmin/vendor/twig/twig/src/Parser.php(209): Twig\TokenParser\IfTokenParser->parse()
#2 /usr/local/www/phpMyAdmin/vendor/twig/twig/src/TokenParser/IfTokenParser.php(41): Twig\Parser->subparse()
#3 /usr/local/www/phpMyAdmin/vendor/twig/twig/src/Parser.php(209): Twig\TokenParser\IfTokenParser->parse()
#4 /usr/local/www/phpMyAdmin/vendor/twig/twig/src/Parser.php(122): Twig\Parser->subparse()
#5 /usr/local/www/phpMyAdmin/vendor/twig/twig/src/Environment.php(735): Twig\Parser->parse()
#6 /usr/local/www/phpMyAdmin/vendor/twig/twig/src/Environment.php(793): Twig\Environment->parse()
#7 /usr/local/www/phpMyAdmin/vendor/twig/twig/src/Environmen" while reading response header from upstream, client: 1.2.1.1, server: test.local.local, request: "GET /98pma44/sql.php?db=test_locals&table=b_agent&pos=0&ajax_request=true&ajax_page_request=true&_nocache=1580560668822422870&token=2a2159325e3d7a4e553a716c394a7922 HTTP/2.0", upstream: "fastcgi://unix:/tmp/local_test.sock:", host: "test.local.local"

Пробовал phpmyadmin 5.0.1 в нем еще хуже.

Как быть?

---------- Добавлено 01.02.2020 в 16:11 ----------

Странно.

Сейчас попробовал закоментировать в виртуал хосте локейшен пма и указать глобально в php.ini по умолчанию параметр mbstring.func_overload, таблицы начали открываться в пма.

Вернул обратно, указал как и было до этого в виртуал хосте параметр и в php.ini (mbstring.func_overload = 2) :

fastcgi_param PHP_VALUE "mbstring.func_overload = 0";

Начало открываться, странно, но по сути же я ничего не изменил, все настройки те же остались.

Как то хренова работает php 7.4.2 или phpmyadmin 4.9.4

Настройка BSD систем. (https://www.fryaha.ru) Знание сила, незнание Рабочая сила!
keepersheet
На сайте с 21.06.2016
Offline
57
#1
baas:
Возникли трудности в phpmyadmin 4.9.4.

Привет, если уж совсем грабли с пакетом, есть вариант загрузить не из репа, а напрямую с сайта разработчика, v.5.0.1. Элементарно устанавливается. Я попробовал недавно (правда, у меня был пых 7.3), проблем не заметил.

А что за дистр у вас?

Веб-разработка на ruby и php (https://masterpro.ws/)
baas
На сайте с 17.09.2012
Offline
122
#2
keepersheet:
Привет, если уж совсем грабли с пакетом, есть вариант загрузить не из репа, а напрямую с сайта разработчика, v.5.0.1. Элементарно устанавливается. Я попробовал недавно (правда, у меня был пых 7.3), проблем не заметил.
А что за дистр у вас?

А какая разница то что в портах и то что на сайте?

Система тут не причем.

FreeBSD у меня.

keepersheet
На сайте с 21.06.2016
Offline
57
#3
baas:
А какая разница то что в портах и то что на сайте?

БОльшая разница. Различные сборки, разные версии. Способы установки также разнятся. Или для вас все едино?

baas:
Система тут не причем.

Уровень вопроса понятен, дальнейшие комментарии смысла не имеют.

P.S. Не аналогичная ли проблема? :)

mbstring.func_overload
This feature has been DEPRECATED as of PHP 7.2.0. Relying on this feature is highly discouraged.
This setting can only be changed from the php.ini file.
DV
На сайте с 01.05.2010
Offline
644
#4

baas, вы наверное не в курсе, но Symfony может быковать и со сменой минорной версии PHP.

А вообще, зачем этот монстр, PMA?

Давно Adminer ставлю одним файликом, и ничего больше не надо.

VDS хостинг ( http://clck.ru/0u97l ) Нет нерешаемых задач ( https://searchengines.guru/ru/forum/806725 ) | Перенос сайтов на Drupal 7 с любых CMS. ( https://searchengines.guru/ru/forum/531842/page6#comment_10504844 )
LEOnidUKG
На сайте с 25.11.2006
Offline
1554
#5
Сейчас попробовал закоментировать в виртуал хосте локейшен пма и указать глобально в php.ini по умолчанию параметр mbstring.func_overload, таблицы начали открываться в пма.

Он по умолчанию всегда 0. И более он не рекомендуется для стабильной работы.

✅ Трастовых площадок под размещение статей и ссылок. Опыт 12 лет! ( https://searchengines.guru/ru/forum/675690 ) ⭐ Купить вечные трастовые ссылки для сайта ( https://getmanylinks.ru/?srh ) ⭐ Ускорение ваших сайтов (WP, Opencart и др.) + Настройка сервера ( https://searchengines.guru/ru/forum/997205 )
baas
На сайте с 17.09.2012
Offline
122
#6
LEOnidUKG:
Он по умолчанию всегда 0. И более он не рекомендуется для стабильной работы.

Насчет стабильной работы не понял.

Для битрикс окружение нужен параметр 2 .

---------- Добавлено 01.02.2020 в 19:17 ----------

keepersheet:
БОльшая разница. Различные сборки, разные версии. Способы установки также разнятся. Или для вас все едино?



Уровень вопроса понятен, дальнейшие комментарии смысла не имеют.

P.S. Не аналогичная ли проблема? :)

разные версии чего?

На офф. сайт пма 5.0.1 последний релиз, в портах так же 5,0,1.

А установка та почему разная?

LEOnidUKG
На сайте с 25.11.2006
Offline
1554
#7
baas:
Насчет стабильной работы не понял.
Для битрикс окружение нужен параметр 2

Убогое УГ не в счёт :)

L
На сайте с 10.02.2015
Offline
121
#8

Начинал работать с битриксом 10 лет назад, нужен был mbstring.func_overload.

И сейчас то же самое, жесть.

keepersheet
На сайте с 21.06.2016
Offline
57
#9
baas:

разные версии чего?
На офф. сайт пма 5.0.1 последний релиз, в портах так же 5,0,1.
А установка та почему разная?

baas, я надеюсь, глобальная проблема, про которую вы были убежедены, что "система ни при чем" - наконец решена? предыдущий мой коммент содержит исчерпывающий ответ, вы как раз прервали его цитату на том месте, где следовало бы продолжить.

Если хотите задать также и другие вопросы, то для начала просто погуглите; вопросы ваши такого свойства, что крайне непросто, поверьте, увязать их контент с предлагаемой вами в подписи услугой Настройка BSD систем.

Давай без флейма, а? если не знаешь, чем разнятся пакеты мейнтейнеров от софта с сайта девелопера - просто почитай где-нибудь про это. Нет времени на блаблабла.

D
На сайте с 28.06.2008
Offline
980
#10

У мен PHPadmin версии - 5.0.0-rc1

php 7.4.2.

все работает

12 3

Авторизуйтесь или зарегистрируйтесь, чтобы оставить комментарий